
Foreman - Bug #1998

Nested hostgroup inheritance should be reflected on Location / Organization

12/05/2012 04:33 AM - Romain Vrignaud

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With hostgroup A and hostgroup A/B,

if I grant hostgroup A to org 1

I think that hostgroup A/B should automaticaly

be granted to org 1 also.

Thoughts ?

Related issues:

Related to Foreman - Bug #2234: Parent hostgroups should be assigned to same ... Closed

Related to Foreman - Bug #4595: hostgroup parents are not scoped to the curre... New 03/08/2014

Related to Foreman - Bug #5419: Bad behavior when a host_group is in a locati... New 04/23/2014

History

#1 - 12/05/2012 04:35 AM - Ohad Levy

- Category set to Organizations and Locations

- Assignee set to Amos Benari

- Target version set to 1.1

#2 - 12/05/2012 02:21 PM - Ohad Levy

- Tracker changed from Feature to Bug

#3 - 12/30/2012 10:34 AM - Ohad Levy

- Target version deleted (1.1)

Is that really the right behavior ? e.g. in both cases (when just including A or B in an org) someone might want to allow or disallow that... e.g. it

depends on the context?

#4 - 08/20/2014 03:13 AM - Ohad Levy

- Assignee deleted (Amos Benari)

#5 - 05/29/2015 08:11 AM - Dominic Cleal

- Related to Bug #2234: Parent hostgroups should be assigned to same location as children added

#6 - 05/29/2015 08:11 AM - Dominic Cleal

- Related to Bug #4595: hostgroup parents are not scoped to the current taxonomy added

#7 - 05/29/2015 08:11 AM - Dominic Cleal

- Related to Bug #5419: Bad behavior when a host_group is in a location/organization that its parent is not added

#8 - 11/23/2015 03:17 AM - Dominic Cleal
- Related to Bug #12558: Host from child organization cannot be saved if hostgroup is defined for parent org only. added

#9 - 11/23/2015 03:17 AM - Dominic Cleal

- Related to deleted (Bug #12558: Host from child organization cannot be saved if hostgroup is defined for parent org only.)
